#!/bin/sh
### 1. iter
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
crecdir=${yisdir}/dat/crec/crec2DX18_50Hz_PEF
datdir=${yisdir}

#if [ ${1} -eq 0 ];
#then
bvel=${datdir}/dlp2D.bqiv.post.basc.bvel.iter20.H
bq=${datdir}/dlp2D.iqtv.pre.basc.bq.iter${1}.H

#else 
#bvelO=${datdir}/dlp2D.bqiv.pre.basc.bvel.iter${1}.H
#bqO=${datdir}/dlp2D.bqiv.pre.basc.bq.H
#bvel=${datdir}/junk.vel.H
#bq=${datdir}/junk.bq.H
#Window<${bvelO} squeeze=n f1=490 max1=36000|Pad extend=1 beg1=490 n1out=1286>${bvel}
#Window<${bqO} squeeze=n f1=490 n1=36000|Pad extend=1 beg1=490 n1out=1286>${bq}
#Window3d<${bvelO} squeeze=n j1=2>${bvel}
#Window3d<${bqO} squeeze=n j1=2>${bq}
#fi


csou=${datdir}/dlp2D.csou.50Hz.H
dimg=${datdir}/dlp2D.iqtv.pre.basc.dimg.iter${1}.H


echo "${bvel}"

for iI in $(seq 0 10 340)
do
  echo "$((iI)), $((iI+1)),$((iI+2)),$((iI+3)),$((iI+4)),$((iI+5)),$((iI+6)),$((iI+7)),$((iI+8)),$((iI+9))"
  pbsname=${pbsdir}/dlpDqX18I${iI}.pbs
  dq0=${datdir}/dlp.bas.grdo.X18I$((iI)).H
  dq1=${datdir}/dlp.bas.grdo.X18I$((iI+1)).H
  dq2=${datdir}/dlp.bas.grdo.X18I$((iI+2)).H
  dq3=${datdir}/dlp.bas.grdo.X18I$((iI+3)).H
  dq4=${datdir}/dlp.bas.grdo.X18I$((iI+4)).H
  dq5=${datdir}/dlp.bas.grdo.X18I$((iI+5)).H
  dq6=${datdir}/dlp.bas.grdo.X18I$((iI+6)).H
  dq7=${datdir}/dlp.bas.grdo.X18I$((iI+7)).H
  dq8=${datdir}/dlp.bas.grdo.X18I$((iI+8)).H
  dq9=${datdir}/dlp.bas.grdo.X18I$((iI+9)).H
  dq=${datdir}/dlp.bas.grdo.sumX18I$((iI)).H


  crec0=${crecdir}/dlpCrecX18I$((iI)).H
  crec1=${crecdir}/dlpCrecX18I$((iI+1)).H
  crec2=${crecdir}/dlpCrecX18I$((iI+2)).H
  crec3=${crecdir}/dlpCrecX18I$((iI+3)).H
  crec4=${crecdir}/dlpCrecX18I$((iI+4)).H
  crec5=${crecdir}/dlpCrecX18I$((iI+5)).H
  crec6=${crecdir}/dlpCrecX18I$((iI+6)).H
  crec7=${crecdir}/dlpCrecX18I$((iI+7)).H
  crec8=${crecdir}/dlpCrecX18I$((iI+8)).H
  crec9=${crecdir}/dlpCrecX18I$((iI+9)).H

  end=${datdir}/dlp.end.X18I${iI}.H
  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
     rm -f ${bimg}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=8" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
  echo "#PBS -q Q35 " >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 8 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}



  echo "echo "shot=$((iI))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec0} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq0} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}


  #echo "echo "shot=$((iI+2))" ">>${pbsname}
  #echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec1} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq1} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  echo "echo "shot=$((iI+4))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec2} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq2} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  #echo "echo "shot=$((iI+6))" ">>${pbsname}
  #echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec3} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq3} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  echo "echo "shot=$((iI+8))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec4} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq4} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}


  #echo "echo "shot=$((iI+10))" ">>${pbsname}
  #echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec5} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq5} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  echo "echo "shot=$((iI+12))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec6} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq6} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  #echo "echo "shot=$((iI+14))" ">>${pbsname}
  #echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec7} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq7} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  echo "echo "shot=$((iI+16))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec8} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq8} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}

  #echo "echo "shot=$((iI+18))" ">>${pbsname}
  #echo "${bindir}/myMPI-wet3d_lloyd.x csou=${csou} crec=${crec9} bvel=${bvel} bq=${bq} dimg=${dimg} dq=${dq9} oper="ssfpi" memchk=n cpximg=0  adj=1 mode=tomadj ntpx=2 nxpad_beg=3 nxpad_end=3 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 tombwd_type="bckward" offset=y bsctyp="tayexp"  ">>${pbsname}




 #echo "Add ${dq0} ${dq1} ${dq2} ${dq3} ${dq4} >${dq}1">>${pbsname}
 #echo "Add ${dq5} ${dq6} ${dq7} ${dq8} ${dq9} >${dq}2 ">>${pbsname}
 #echo "Add ${dq}1 ${dq}2 >${dq}">>${pbsname}
 echo "Add ${dq0} ${dq2} ${dq4} ${dq6} ${dq8} >${dq}">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
 echo "Rm ${dq0} ${dq2} ${dq4} ${dq6} ${dq8}">>${pbsname}
 # echo "Rm ${dq0} ${dq1} ${dq2} ${dq3} ${dq4} ${dq5} ${dq6} ${dq7} ${dq8} ${dq9}">>${pbsname}
 echo "echo "finished"  ">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpDqX18I${iI}.o  ${pbsname} 

done

