#!/bin/sh

###################################
### Q inversion 		###
###################################
#Initial input: csou.H; crec.H; bvel.H; bq.iter0.H; alfa.iter0.H; msk.H; vpre.H


yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionQ_pre_basic_2D

  # real shot number: nsx=n-1
  cd ${yisdir}
  rm -f PBS/*
  rm -f log/*

######################################################################
### iteration initialize					  ###
######################################################################
Spike n1=1 k1=1 mag=3 >${datdir}/dlp2D.iqtv.pre.basc.alfa.iter0.H 

###################################
### bimg: background image with the initial Q model 
###################################

${shdir}/shImgFinal.sh 0 


###################################
### dimg: perturbed imaging from bimg:
###################################
  ${shdir}/shDimgInv.sh 0 

###################################
### Dq: initial gradient

###################################

 ${shdir}/shGradInv.sh 0 



###################################
### GrdPrc: gradiant processing (mask and smoothing)

###################################
  ${shdir}/shGradprcInv.sh 0 

###################################
### SrcDirect: search direction for the initial gradient

##################################
  ${shdir}/shDirectInv.sh 0 


  for iter in {1..20} 
  do
### alpha: line search to update model
	### input: bp.bq.iter${1}.H bp.srch.iter${1}.H bp.alfa.iter${1}.H bp.fobj.iter${1}.H
	###bp.bq.iter${2}.H bp.alfa.iter${2}.H bp.fobj.iter${2}.H 
  ${shdir}/shLinsrcInv.sh  ${iter}

### bimg: background image with the initial Q model 
 ${shdir}/shImgFinal.sh ${iter} 
### dimg: perturbed imaging from bimg 
  ${shdir}/shDimgInv.sh ${iter} 
### Dq:  gradient 
 ${shdir}/shGradInv.sh ${iter} 

### GrdPrc: gradiant processing (mask and smoothing)
 ${shdir}/shGradprcInv.sh ${iter} y
### SrcDirect: search direction for the gradient
 ${shdir}/shDirectInv.sh ${iter} 
 #echo "${iter}"
 done




