#!/bin/sh
### 1. iter
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
crecdir=${yisdir}/dat/crec/crec2DX18_50Hz_PEF
datdir=${yisdir}

#if [ ${1} -eq 0 ];
#then
bvel0=${datdir}/dlp2D.bqiv.post.basc.bvel.iter20.H
bq0=${datdir}/dlp2D.iqtv.pre.rtm.bq2.iter${1}.H
bvel=${datdir}/junk.vel.one.H
bq=${datdir}/junk.bq.one.H
<${bvel0} Interp d1out=12.5 >${bvel}
<${bq0} Interp d1out=12.5 >${bq}


#else 
#bvelO=${datdir}/dlp2D.bqiv.pre.basc.bvel.iter${1}.H
#bqO=${datdir}/dlp2D.bqiv.pre.basc.bq.H
#bvel=${datdir}/junk.vel.H
#bq=${datdir}/junk.bq.H
#Window<${bvelO} squeeze=n f1=490 max1=36000|Pad extend=1 beg1=490 n1out=1286>${bvel}
#Window<${bqO} squeeze=n f1=490 n1=36000|Pad extend=1 beg1=490 n1out=1286>${bq}
#Window3d<${bvelO} squeeze=n j1=2>${bvel}
#Window3d<${bqO} squeeze=n j1=2>${bq}
#fi


csou=${datdir}/dlp2D.rtm.csou.H
dimg=${datdir}/dlp2D.iqtv.rtm.basc.dimg.iter${1}.H
echo o4=0>>${dimg}


echo "${bvel}"

for iI in $(seq 0 10 360)
do
  echo "$((iI)), $((iI+1)),$((iI+2)),$((iI+3)),$((iI+4)),$((iI+5)),$((iI+6)),$((iI+7)),$((iI+8)),$((iI+9))"
  pbsname=${pbsdir}/dlpDqX18I${iI}.pbs
  dq0=${datdir}/dlp.bas.grdo.X18I$((iI)).H
  dq1=${datdir}/dlp.bas.grdo.X18I$((iI+1)).H
  dq2=${datdir}/dlp.bas.grdo.X18I$((iI+2)).H
  dq3=${datdir}/dlp.bas.grdo.X18I$((iI+3)).H
  dq4=${datdir}/dlp.bas.grdo.X18I$((iI+4)).H
  dq5=${datdir}/dlp.bas.grdo.X18I$((iI+5)).H
  dq6=${datdir}/dlp.bas.grdo.X18I$((iI+6)).H
  dq7=${datdir}/dlp.bas.grdo.X18I$((iI+7)).H
  dq8=${datdir}/dlp.bas.grdo.X18I$((iI+8)).H
  dq9=${datdir}/dlp.bas.grdo.X18I$((iI+9)).H
  dq=${datdir}/dlp.bas.grdo.sumX18I$((iI)).H


  crec0=${crecdir}/dlpCrecX18I$((iI)).H
  crec1=${crecdir}/dlpCrecX18I$((iI+1)).H
  crec2=${crecdir}/dlpCrecX18I$((iI+2)).H
  crec3=${crecdir}/dlpCrecX18I$((iI+3)).H
  crec4=${crecdir}/dlpCrecX18I$((iI+4)).H
  crec5=${crecdir}/dlpCrecX18I$((iI+5)).H
  crec6=${crecdir}/dlpCrecX18I$((iI+6)).H
  crec7=${crecdir}/dlpCrecX18I$((iI+7)).H
  crec8=${crecdir}/dlpCrecX18I$((iI+8)).H
  crec9=${crecdir}/dlpCrecX18I$((iI+9)).H

  end=${datdir}/dlp.end.X18I${iI}.H
  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
     rm -f ${bimg}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=16" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
  echo "#PBS -q sep " >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  #echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 16 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}




 echo " ${bindir}/FBI.x <${bvel} data=${crec0} wavelet=${tsou} bq=${bq} deltaI=${dimg} oper=3 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${dq0} ">>${pbsname}

 echo " ${bindir}/FBI.x <${bvel} data=${crec2} wavelet=${tsou} bq=${bq} deltaI=${dimg} oper=3 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${dq2} ">>${pbsname}
 echo " ${bindir}/FBI.x <${bvel} data=${crec4} wavelet=${tsou} bq=${bq} deltaI=${dimg} oper=3 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${dq4} ">>${pbsname}
 echo " ${bindir}/FBI.x <${bvel} data=${crec6} wavelet=${tsou} bq=${bq} deltaI=${dimg} oper=3 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${dq6} ">>${pbsname}
 echo " ${bindir}/FBI.x <${bvel} data=${crec8} wavelet=${tsou} bq=${bq} deltaI=${dimg} oper=3 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${dq8} ">>${pbsname}







 echo "Add ${dq0} ${dq2} ${dq4} ${dq6} ${dq8} >${dq}">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
 echo "Rm ${dq0} ${dq2} ${dq4} ${dq6} ${dq8}">>${pbsname}

 echo "echo "finished"  ">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpDqX18I${iI}.o  ${pbsname} 

done

