#!/bin/sh
### 1.iter 
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
datdir=${yisdir}
trecdir=/data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18

bvel=${datdir}/dlp2D.bqiv.post.basc.bvel.iter20.H
bq=${datdir}/dlp2D.iqtv.pre.rtm.bq.iter${1}.H
tsou=${datdir}/dlp2D.rtm.tsou.H
Window3d<${bvel} n1=1150|Interp d1out=12.5|Transp|Pad beg1=10 end1=40 extend=1  >${datdir}/junk.vel.H
Window3d<${bq} n1=1150|Interp d1out=12.5|Transp|Pad beg1=10 end1=40 extend=1 >${datdir}/junk.bq.H	



for iI in $(seq 0 5 365)
#for iI in $(seq 0 5 340)
#for iI in $(seq 345 5 365)
do
 echo "$((iI))"

  pbsname=${pbsdir}/dlpBimgX18I${iI}.pbs
  bimg0=${datdir}/dlp.bas.bimg.X18I$((iI)).H
  bimg1=${datdir}/dlp.bas.bimg.X18I$((iI+1)).H
  bimg2=${datdir}/dlp.bas.bimg.X18I$((iI+2)).H
  bimg3=${datdir}/dlp.bas.bimg.X18I$((iI+3)).H
  bimg4=${datdir}/dlp.bas.bimg.X18I$((iI+4)).H
  bimg5=${datdir}/dlp.bas.bimg.X18I$((iI+5)).H
  bimg6=${datdir}/dlp.bas.bimg.X18I$((iI+6)).H
  bimg7=${datdir}/dlp.bas.bimg.X18I$((iI+7)).H
  bimg8=${datdir}/dlp.bas.bimg.X18I$((iI+8)).H
  bimg9=${datdir}/dlp.bas.bimg.X18I$((iI+9)).H
  bimg=${datdir}/dlp.bas.bimg.sumX18I$((iI)).H

  trec0=${trecdir}/dlpTrecX18I$((iI)).H
  trec1=${trecdir}/dlpTrecX18I$((iI+1)).H
  trec2=${trecdir}/dlpTrecX18I$((iI+2)).H
  trec3=${trecdir}/dlpTrecX18I$((iI+3)).H
  trec4=${trecdir}/dlpTrecX18I$((iI+4)).H
  trec5=${trecdir}/dlpTrecX18I$((iI+5)).H
  trec6=${trecdir}/dlpTrecX18I$((iI+6)).H
  trec7=${trecdir}/dlpTrecX18I$((iI+7)).H
  trec8=${trecdir}/dlpTrecX18I$((iI+8)).H
  trec9=${trecdir}/dlpTrecX18I$((iI+9)).H

  end=${datdir}/dlp.end.X18I${iI}.H

  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
     rm -f ${bimg}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=16" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
  echo "#PBS -q sep" >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  #echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 16 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}




  echo "echo "shot=$((iI))"  ">>${pbsname}
 echo " Window3d</data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18/dlpTrecX18I$((iI)).H n3=1 min3=0 n1=3000>junk.crecI$((iI)).H ">>${pbsname}
 echo " echo o2=0.0 >>junk.crecI$((iI)).H ">>${pbsname}
 echo " ${bindir}/FBI.x <junk.vel.H data=junk.crecI$((iI)).H wavelet=${tsou} bq=junk.bq.H oper=1 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+iI*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${bimg0} ">>${pbsname}
 echo "	Rm junk.crecI$((iI)).H ">>${pbsname}

  echo "echo "shot=$((iI+1))"  ">>${pbsname}
 echo " Window3d</data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18/dlpTrecX18I$((iI+1)).H n3=1 min3=0 n1=3000>junk.crecI$((iI+1)).H ">>${pbsname}
 echo " echo o2=0.0 >>junk.crecI$((iI+1)).H ">>${pbsname}
 echo " ${bindir}/FBI.x <junk.vel.H data=junk.crecI$((iI+1)).H wavelet=${tsou} bq=junk.bq.H oper=1 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+1)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${bimg1} ">>${pbsname}
 echo "	Rm junk.crecI$((iI+1)).H ">>${pbsname}

  echo "echo "shot=$((iI+2))"  ">>${pbsname}
 echo " Window3d</data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18/dlpTrecX18I$((iI+2)).H n3=1 min3=0 n1=3000>junk.crecI$((iI+2)).H ">>${pbsname}
 echo " echo o2=0.0 >>junk.crecI$((iI+2)).H ">>${pbsname}
 echo " ${bindir}/FBI.x <junk.vel.H data=junk.crecI$((iI+2)).H wavelet=${tsou} bq=junk.bq.H oper=1 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+2)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${bimg2} ">>${pbsname}
 echo "	Rm junk.crecI$((iI+2)).H ">>${pbsname}

  echo "echo "shot=$((iI+3))"  ">>${pbsname}
 echo " Window3d</data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18/dlpTrecX18I$((iI+3)).H n3=1 min3=0 n1=3000>junk.crecI$((iI+3)).H ">>${pbsname}
 echo " echo o2=0.0 >>junk.crecI$((iI+3)).H ">>${pbsname}
 echo " ${bindir}/FBI.x <junk.vel.H data=junk.crecI$((iI+3)).H wavelet=${tsou} bq=junk.bq.H oper=1 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+3)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${bimg3} ">>${pbsname}
 echo "	Rm junk.crecI$((iI+3)).H ">>${pbsname}

  echo "echo "shot=$((iI+4))"  ">>${pbsname}
 echo " Window3d</data/sep/yishen/WEMQA/dolphin/dat/trec/trecX18/dlpTrecX18I$((iI+4)).H n3=1 min3=0 n1=3000>junk.crecI$((iI+4)).H ">>${pbsname}
 echo " echo o2=0.0 >>junk.crecI$((iI+4)).H ">>${pbsname}
 echo " ${bindir}/FBI.x <junk.vel.H data=junk.crecI$((iI+4)).H wavelet=${tsou} bq=junk.bq.H oper=1 lag_type=1 geom_type=2 nlag=1 nt=3000 bc1=10 bc2=10 bc3=80 bc4=10 wfld_j=3 sou_nx=1 sou_ox=$((267+(iI+4)*4)) sou_dx=1 sou_z=11 rec_nx=240 rec_ox=5 rec_dx=2 rec_z=11 adj=y sou_ghost=y rec_ghost=y w0=78.5  qcomp=${2} pwz1=0.39 pwz2=0.8 pw3=0.6 pw4=0.95 >${bimg4} ">>${pbsname}
 echo "	Rm junk.crecI$((iI+4)).H ">>${pbsname}




 echo "echo "finished"  ">>${pbsname}
 echo "Add ${bimg0} ${bimg1} ${bimg2} ${bimg3} ${bimg4} >${bimg}">>${pbsname}
 echo "Rm ${bimg0} ${bimg1} ${bimg2} ${bimg3} ${bimg4}">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpBimgX18I${iI}.o  ${pbsname} 
done

