#!/bin/sh
### 1. iter
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
crecdir=${yisdir}/dat/crec/crec2DX18_50Hz_PEF_Yfix
datdir=${yisdir}

#if [ ${1} -eq 0 ];
#then
bvelO=${datdir}/dlp2D.bqiv.post.basc.bvel.iter${1}.H
bqO=${datdir}/dlp2D.bqiv.post.basc.bq.H

#else 
#bvelO=${datdir}/dlp2D.bqiv.pre.basc.bvel.iter${1}.H
#bqO=${datdir}/dlp2D.bqiv.pre.basc.bq.H
bvel=${datdir}/junk.vel.H
bq=${datdir}/junk.bq.H
#Window<${bvelO} squeeze=n f1=490 max1=36000|Pad extend=1 beg1=490 n1out=1286>${bvel}
#Window<${bqO} squeeze=n f1=490 n1=36000|Pad extend=1 beg1=490 n1out=1286>${bq}
Window3d<${bvelO} squeeze=n j1=2>${bvel}
Window3d<${bqO} squeeze=n j1=2>${bq}
#fi


csou=${datdir}/dlp2D.csou.50Hz.H
dimg=${datdir}/dlp2D.bqiv.post.basc.dimg.iter${1}.H


echo "${bvel}"

for iI in $(seq 0 10 340)
do
  echo "$((iI)), $((iI+1)),$((iI+2)),$((iI+3)),$((iI+4)),$((iI+5)),$((iI+6)),$((iI+7)),$((iI+8)),$((iI+9))"
  pbsname=${pbsdir}/dlpDvelX18I${iI}.pbs
  dvel0=${datdir}/dlp.bas.grdo.X18I$((iI)).H
  dvel1=${datdir}/dlp.bas.grdo.X18I$((iI+1)).H
  dvel2=${datdir}/dlp.bas.grdo.X18I$((iI+2)).H
  dvel3=${datdir}/dlp.bas.grdo.X18I$((iI+3)).H
  dvel4=${datdir}/dlp.bas.grdo.X18I$((iI+4)).H
  dvel5=${datdir}/dlp.bas.grdo.X18I$((iI+5)).H
  dvel6=${datdir}/dlp.bas.grdo.X18I$((iI+6)).H
  dvel7=${datdir}/dlp.bas.grdo.X18I$((iI+7)).H
  dvel8=${datdir}/dlp.bas.grdo.X18I$((iI+8)).H
  dvel9=${datdir}/dlp.bas.grdo.X18I$((iI+9)).H
  dvel=${datdir}/dlp.bas.grdo.sumX18I$((iI)).H


  crec0=${crecdir}/dlpCrecX18I$((iI)).H
  crec1=${crecdir}/dlpCrecX18I$((iI+1)).H
  crec2=${crecdir}/dlpCrecX18I$((iI+2)).H
  crec3=${crecdir}/dlpCrecX18I$((iI+3)).H
  crec4=${crecdir}/dlpCrecX18I$((iI+4)).H
  crec5=${crecdir}/dlpCrecX18I$((iI+5)).H
  crec6=${crecdir}/dlpCrecX18I$((iI+6)).H
  crec7=${crecdir}/dlpCrecX18I$((iI+7)).H
  crec8=${crecdir}/dlpCrecX18I$((iI+8)).H
  crec9=${crecdir}/dlpCrecX18I$((iI+9)).H

  end=${datdir}/dlp.end.X18I${iI}.H
  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
     rm -f ${bimg}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=8" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
  echo "#PBS -q Q35 " >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 8 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}



  echo "echo "shot=$((iI))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec0} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel0} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}


  echo "echo "shot=$((iI+2))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec1} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel1} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}

  echo "echo "shot=$((iI+4))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec2} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel2} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}

  echo "echo "shot=$((iI+6))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec3} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel3} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}

  echo "echo "shot=$((iI+8))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec4} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel4} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}


  echo "echo "shot=$((iI+10))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec5} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel5} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+12))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec6} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel6} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+14))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec7} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel7} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+16))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec8} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel8} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}

  echo "echo "shot=$((iI+18))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_vel_lloyd.x csou=${csou} crec=${crec9} bvel=${bvel} bq=${bq} memchk=n dvel=${dvel9} oper="ssfpi" cpximg=0 dimg=${dimg} adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30">>${pbsname}




 echo "Add ${dvel0} ${dvel1} ${dvel2} ${dvel3} ${dvel4} >${dvel}1">>${pbsname}
 echo "Add ${dvel5} ${dvel6} ${dvel7} ${dvel8} ${dvel9} >${dvel}2 ">>${pbsname}
 echo "Add ${dvel}1 ${dvel}2 >${dvel}">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
 echo "Rm ${dvel0} ${dvel1} ${dvel2} ${dvel3} ${dvel4} ${dvel5} ${dvel6} ${dvel7} ${dvel8} ${dvel9}">>${pbsname}
 echo "echo "finished"  ">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpDvelX18I${iI}.o  ${pbsname} 

done

