#!/bin/sh
### 1.iter 
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
crecdir=${yisdir}/dat/crec/crec2DX18_50Hz_PEF_Yfix
#crecdir=${yisdir}/dat/crec/crec2DX18_30Hz
datdir=${yisdir}

bvel=${datdir}/dlp2D.bqiv.post.basc.bvel.iter${1}.H
bq=${datdir}/dlp2D.bqiv.post.basc.bq.H
csou=${datdir}/dlp2D.csou.50Hz.H

for iI in $(seq 0 10 340)
do
 echo "$((iI)), $((iI+1)),$((iI+2)),$((iI+3)),$((iI+4)),$((iI+5)),$((iI+6)),$((iI+7)),$((iI+8)),$((iI+9))"

  pbsname=${pbsdir}/dlpBimgX18I${iI}.pbs

  bimg0=${datdir}/dlp.bas.bimg.X18I$((iI)).H
  bimg1=${datdir}/dlp.bas.bimg.X18I$((iI+1)).H
  bimg2=${datdir}/dlp.bas.bimg.X18I$((iI+2)).H
  bimg3=${datdir}/dlp.bas.bimg.X18I$((iI+3)).H
  bimg4=${datdir}/dlp.bas.bimg.X18I$((iI+4)).H
  bimg5=${datdir}/dlp.bas.bimg.X18I$((iI+5)).H
  bimg6=${datdir}/dlp.bas.bimg.X18I$((iI+6)).H
  bimg7=${datdir}/dlp.bas.bimg.X18I$((iI+7)).H
  bimg8=${datdir}/dlp.bas.bimg.X18I$((iI+8)).H
  bimg9=${datdir}/dlp.bas.bimg.X18I$((iI+9)).H
  bimg=${datdir}/dlp.bas.bimg.sumX18I$((iI)).H



  crec0=${crecdir}/dlpCrecX18I$((iI)).H
  crec1=${crecdir}/dlpCrecX18I$((iI+1)).H
  crec2=${crecdir}/dlpCrecX18I$((iI+2)).H
  crec3=${crecdir}/dlpCrecX18I$((iI+3)).H
  crec4=${crecdir}/dlpCrecX18I$((iI+4)).H
  crec5=${crecdir}/dlpCrecX18I$((iI+5)).H
  crec6=${crecdir}/dlpCrecX18I$((iI+6)).H
  crec7=${crecdir}/dlpCrecX18I$((iI+7)).H
  crec8=${crecdir}/dlpCrecX18I$((iI+8)).H
  crec9=${crecdir}/dlpCrecX18I$((iI+9)).H
  end=${datdir}/dlp.end.X18I${iI}.H
  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
     rm -f ${bimg}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=8" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
  echo "#PBS -q Q35 " >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 8 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}

  echo "echo "shot=$((iI))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec0} bvel=${bvel} bq=${bq} bimg=${bimg0} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30  ">>${pbsname} #

  echo "echo "shot=$((iI+2))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec1} bvel=${bvel} bq=${bq} bimg=${bimg1} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+4))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec2} bvel=${bvel} bq=${bq} bimg=${bimg2} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30  ">>${pbsname}

  echo "echo "shot=$((iI+6))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec3} bvel=${bvel} bq=${bq} bimg=${bimg3} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3}  lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30  ">>${pbsname}

  echo "echo "shot=$((iI+8))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec4} bvel=${bvel} bq=${bq} bimg=${bimg4} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30  ">>${pbsname}

echo "echo "shot=$((iI+10))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec5} bvel=${bvel} bq=${bq} bimg=${bimg5} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+12))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec6} bvel=${bvel} bq=${bq} bimg=${bimg6} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30 ">>${pbsname}

  echo "echo "shot=$((iI+14))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec7} bvel=${bvel} bq=${bq} bimg=${bimg7} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30  ">>${pbsname}

  echo "echo "shot=$((iI+16))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec8} bvel=${bvel} bq=${bq} bimg=${bimg8} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3}  lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30  ">>${pbsname}

  echo "echo "shot=$((iI+18))"  ">>${pbsname}
  echo "${bindir}/myMPI-wem3d_lloyd.x csou=${csou} crec=${crec9} bvel=${bvel} bq=${bq} bimg=${bimg9} oper="ssfpi" memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=${2} qcomp_clip=${3} lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y sdepth=5 rdepth=30   ">>${pbsname}

 echo "echo "finished"  ">>${pbsname}
 echo "Add ${bimg0} ${bimg1} ${bimg2} ${bimg3} ${bimg4} >${bimg}1">>${pbsname}
 echo "Add ${bimg5} ${bimg6} ${bimg7} ${bimg8} ${bimg9}> ${bimg}2 ">>${pbsname}
 echo "Add ${bimg}1 ${bimg}2>${bimg} ">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
 echo "Rm ${bimg0} ${bimg1} ${bimg2} ${bimg3} ${bimg4} ${bimg5} ${bimg6} ${bimg7} ${bimg8} ${bimg9} ">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpBimgX18I${iI}.o  ${pbsname} 
done
#/data/sep/yishen/WEMQA/dolphin/bin/myMPI-wem3d_lloyd_rdepth.x csou=/data/sep/yishen/WEMQA/dolphin/dlp2D.csou.50Hz.H crec=/data/sep/yishen/WEMQA/dolphin/dat/crec/crec2DX18_50Hz_PEF/dlpCrecX18I0.H bvel=/data/sep/yishen/WEMQA/dolphin/dlp2D.bqiv.post.basc.bvel.iter0.H bq=/data/sep/yishen/WEMQA/dolphin/dlp2D.bqiv.post.basc.bq.H bimg=/data/sep/yishen/WEMQA/dolphin/dlp.bas.bimg.X18I0.H oper=ssfpi memchk=n adj=y mode=imgadj ntpx=8 nxpad_beg=13 nxpad_end=13 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80 lloyd_qscale=1000 lloyd_nrf=3 lloyd_nstart=1,3 offset=y  sdepth=5 rdepth=30 
