#!/bin/sh
# 6 iterations; I have grdo ready; second iteration deep; smooth dz in dvel rect3=2
###################################
### Q inversion 		###
###################################
#Initial input: csou.H; crec.H; bvel.H; bq.iter0.H; alfa.iter0.H; msk.H; vpre.H

yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionV_pre_basic_3D/InversionV

  # real shot number: nsx=n-1
  cd ${yisdir}
  rm -f PBS/*
  rm -f log/*

######################################################################
### iteration initialize					  ###
######################################################################

###################################
### bimg: background image with the initial Q model 
###################################

 ${shdir}/shImg3DInv.sh ${iter} n 80 


###################################
### dimg: perturbed imaging from bimg:
###################################
 ${shdir}/shDimgInv.sh 0 

###################################
### Dq: initial gradient

###################################

 ${shdir}/shGrad3DInv.sh ${iter}  n 80



###################################
### GrdPrc: gradiant processing (mask and smoothing)

###################################
 ${shdir}/shGradprcInv.sh 0 

###################################
### SrcDirect: search direction for the initial gradient

##################################
  ${shdir}/shDirectInv.sh 0 


######################################################################
### iteration begins 
# 					           ###
######################################################################

  for iter in {1..8} 
  do
### alpha: line search to update model

 
 ${shdir}/shLinsrcInv.sh  ${iter}

### bimg: background image with the initial Q model 
 ${shdir}/shImg3DInv.sh ${iter} n 80 
### dimg: perturbed imaging from bimg 
 ${shdir}/shDimgInv.sh ${iter} 
### Dq:  gradient 
 ${shdir}/shGrad3DInv.sh ${iter}  n 80

### GrdPrc: gradiant processing (mask and smoothing)
 ${shdir}/shGradprcInv.sh ${iter} y
### SrcDirect: search direction for the gradient
 ${shdir}/shDirectInv.sh ${iter} 
 echo "${iter}"
 done

